import { EventEmitter } from "@angular/core";
import { StockService } from "../../../service/stock.service";
import { IconCacheService } from "../../../service/icon-cache.service";
import { Icon } from "../../../enum/icon.enum";
import { ArticleStock as ArticleStockBo } from "@colijnit/articleapi/build/model/article-stock.bo";
import { ArticleStock } from "@colijnit/articleapi/build/model/article-stock";
import { StockHistoryBo } from "@colijnit/articleapi/build/model/stock-history.bo";
import { ArticleStockManagement } from "@colijnit/articleapi/build/model/article-stock-management";
import { ArticleDetailsBo } from "@colijnit/articleapi/build/model/article-details.bo";
import { StockManagementWarehouses } from "@colijnit/articleapi/build/model/stock-management-warehouses.bo";
import { CoDropDownListFields } from "../stock-transfer/co-drop-down-list-fields.interface";
import { ArticleTransaction as ArticleTransactionBo } from "@colijnit/articleapi/build/model/article-transaction.bo";
import { StockLocation } from "@colijnit/articleapi/build/model/stock-location.bo";
import { ArticleExtended } from "@colijnit/articleapi/build/model/article-extended.bo";
import { SendMethodType } from "@colijnit/mainapi/build/enum/send-method-type.enum";
export declare class StockInformationGridComponent {
    iconCacheService: IconCacheService;
    private _stockService;
    readonly icons: typeof Icon;
    stock: StockInformationGridComponent;
    articleStockInformation: ArticleStockBo[];
    stockLocationData: ArticleStockBo[];
    stockHistoryInformation: StockHistoryBo[];
    article: ArticleExtended;
    readonly transferIconClicked: EventEmitter<ArticleStockBo>;
    readonly historyClicked: EventEmitter<any>;
    readonly cancelButtonClicked: EventEmitter<any>;
    readonly okButtonClicked: EventEmitter<any>;
    image: string;
    show: boolean;
    hideOrShowLocationTab: boolean;
    showStockHistory: boolean;
    showSendMethodDialog: boolean;
    inOrderInformation: ArticleTransactionBo[];
    orderInformation: ArticleTransactionBo[];
    hideOrShowTabs: boolean;
    dataWareHouseCode: StockManagementWarehouses[];
    dataWareHouseFields: CoDropDownListFields;
    dataLocationFields: CoDropDownListFields;
    selectedWarehouse: any;
    selectedLocation: StockLocation;
    stockLocations: StockLocation[];
    articleStockSearchInfo: ArticleStock;
    articleDetails: ArticleDetailsBo[];
    selectedArticleDetailsData: ArticleDetailsBo;
    showChangeStockDetails: boolean;
    articleDetailsInformation: ArticleStockManagement;
    sendMethod: SendMethodType[];
    tabs: string[];
    activeTab: string;
    get activeTabText(): string;
    constructor(iconCacheService: IconCacheService, _stockService: StockService);
    handleTabClick(tabData: any): void;
    onLocationClick(data: ArticleStockBo): void;
    handleHistoryClick(): void;
    backToStockInformation(): void;
    handleStockTransferClick(event: any): void;
    handleBackToStockClick(): Promise<void>;
    openSendMethodDialog(data: any): void;
    printStockStickers(): void;
    onOkClick(): void;
    onCancelClick(): void;
    openDialogClick(data: any): void;
    getArticleDetails(data: any): void;
    getStockManagementWarehouses(data: ArticleStockBo): void;
    onSelectWarehouse(event: any): void;
    getInOrderData(): Promise<void>;
    getOrderData(): Promise<void>;
    onLocationDropdownClick(): void;
    onLocationSelected(location: any): void;
    onOkClickSendLocations(): Promise<void>;
    onCancelClickSendLocations(): void;
    amountInStockChanged(data: any): void;
    lockSelectedRow(row: any): void;
}
